
/*

Sample program for number editors

*/


#include"gui/btnnumed.h"
#include"ui/dialog.h"


#define ID_NE 100


class RootNumEd : public UI_Dialog
{
  public:

	RootNumEd() : UI_Dialog(NULL,0,UI_Rectangle(50, 50, 700, 600))
	{
	  Title() = "Test the number editors";
	  bne = new BtnNumberEditor(this,UI_Rectangle(10,10,100,30),ID_NE+1);
	  bne->editor().cnv().initialize(3,2,',',TRUE);
	  ene = new ExtNumberEditor(this,UI_Rectangle(10,50,100,30),ID_NE+2);
	  ene->cnv().initialize(3,2,',',TRUE);
	};

  protected:

	 BtnNumberEditor* bne;
	 ExtNumberEditor* ene;
};
